Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031473
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementmajoralways2015-11-13 14:572015-12-17 17:49
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision447428f58b15
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031473: Project Profitability report does not consider project information set at invoice line

DescriptionProject Profitability report does not consider project information set at invoice line
Steps To Reproduce0. Activated Instance
1. Access Client window and verify that Project dimension is enabled at line level
2. Logout / login
3. Access Multiphase Project window and create new record
4. Register Purchase Invoice for España org and "Otros servicios" pricelist
5. Add line for "Telefonia" product and set previous project as dimension
6. Process invoice
7. Run "Project Profitability" report for previous org, business partner and project and realize that no information is shown

NOTE: if you set project at header level instead of line level then information will be shown in the report
Proposed SolutionProblem is that report is checking project defined at c_invoice level or at C_InvoiceLine_AcctDimension level but in that case no information has been created in this tab for this invoice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0082613)
AtulOpenbravo (developer)
2015-12-09 12:01
edited on: 2015-12-10 16:51

Test Plan
- Activate the instance with license key.
1. Go to Client window and verify that Project dimension is enabled at line level.
2. Logout / login.
3. Create a Project Type as Standard.
4. Go to Multiphase Project window and create new record.
5. Using button Change Project Type, select type as Standard with some default date.
6. Create Purchase Invoice for España org and "Otros servicios" pricelist.
7. Add line for "Telefonia" product and set previous project as dimension.
8. Process invoice.
9. Run "Project Profitability" report for previous org, business partner and project and realize that invoice line amount information is shown in this report.

(0082637)
psanjuan (manager)
2015-12-10 12:50
edited on: 2015-12-16 14:06

not able to reproduce the issue as with above repro-steps I always get report content as null. Checking.

Issue verified as some configuration steps were missing.

(0082804)
psanjuan (manager)
2015-12-16 14:06
edited on: 2015-12-16 14:52

Test Plan

- Activate the instance with license key.

Test Case 1

- Go to Client window and verify that Project dimension is enabled at line level. Logout / login.

- Create a Project Type as "Standard", for F&B España org.

- Go to Multiphase Project window and create new record for F&B España, named "Project 100". Save it

- Using button "Set Project Type", select type as Standard with some default date, ie 01-01-2015

- Select a Business Partner in the project, under "More Information" section, i.e. alimentos y supermercados.

- Select a sales representative at the project header.

- Enter a project phase, named "Opening Phase", starting from 01-01-2015

- Click on "Change Project Status" and select "Order". Press OK.

- Verify that the process finish successfully.

- Enter below data in the header of the project:
Service Revenue = 10000
Planned Expenses = 850
Services Provided Cost = 500
Outsourced Cost = 150
Reinvoiced Expenses = 800
Save it

- Run Project Profitability report for F&B España, currency EUR and Project 100. Verify that there are no real services either expenses shown in the report for the project but just planned figures.

- Create a purchase invoice for España org, Bebidas Alegres BP, dated on today's date. Select product "Cerveza Ale 0.5L", invoiced quantity = 550. Select Project 100 under "Dimensions" section. Complete and Post the invoice for a total net amount = 748.00 EUR

- Run Project Profitability report for the same criteria as below and verify that an expense of 748.00 EUR is shown in there under Expenses // Expenses.

- Create a purchase invoice for España org, Bebidas Alegres BP, dated on today's date. Select Project 100 under "Dimensions" section, this time in the invoice header. go to Lines tab and select product "Cerveza Ale 0.5L", invoiced quantity = 25. Complete and Post the invoice for a total net amount = 34.00 EUR

- Run Project Profitability report for the same criteria as below and verify that an expense of 782.00 EUR is shown in there under Expenses // Expenses.

- Create a sales invoice for España org, Alimentos y Supermercados BP, dated on today's date. Select product "Bebida Energetica", invoiced quantity = 80. Select Project 100 under "Dimensions" section. Complete and Post the invoice for a total net amount = 119.20 EUR

- Run Project Profitability report for the same criteria as below and verify that a revenue of 119.20 EUR is shown in there under Expenses // Reinvoicing.

- Create a sales invoice for España org, Alimentos y Supermercados BP, dated on today's date.Select Project 100 under "Dimensions" section at the header. Go to Lines tab and select product "Bebida Energetica", invoiced quantity = 20 . Complete and Post the invoice for a total net amount = 29.80 EUR

- Run Project Profitability report for the same criteria as below and verify that a revenue of 149 EUR is shown in there under Expenses // Reinvoicing.

Test Case 1

Repeat above steps by creating a new project named Project 200 and making sure that the expense or reinvoincing lines related to each project are properly shown in the project profitability report for each project.

This last implies the creation of a purchase invoice with two purchase invoice lines one of them related to a different project. Same for Sales invoices.

Verified two HTML format and PDF Format.

Test Case 3

Repeate all above steps by creating the invoices (purchase/sales) from the corresponding orders (purchase/sales) in which each order line point to a different project. Verify that the amounts shown in the project profitability report are the correct ones, once invoice are completed and post to the ledger.

Verified. Issue can be code reviewed and closed.

(0082817)
hgbot (developer)
2015-12-17 12:13

Repository: erp/devel/pi
Changeset: 447428f58b158f817c1c8ea97678102527a4343e
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 09 16:24:10 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/447428f58b158f817c1c8ea97678102527a4343e [^]

Fixes Issue 31473:Project Profitability report does not consider project
information set at invoice line

Invoice Line project information is used prior to Invoice project info.

---
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitability_data.xsql
---
(0082818)
vmromanos (developer)
2015-12-17 12:14

Code review OK
(0082848)
hudsonbot (developer)
2015-12-17 17:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7bb1cbcee3ce [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-13 14:57 maite New Issue
2015-11-13 14:57 maite Assigned To => Triage Finance
2015-11-13 14:57 maite Modules => Core
2015-11-13 14:57 maite Triggers an Emergency Pack => No
2015-11-13 14:57 maite Issue Monitored: networkb
2015-12-09 07:05 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-12-09 07:06 AtulOpenbravo Status new => scheduled
2015-12-09 12:01 AtulOpenbravo Note Added: 0082613
2015-12-09 14:33 psanjuan Steps to Reproduce Updated View Revisions
2015-12-10 12:50 psanjuan Note Added: 0082637
2015-12-10 12:51 psanjuan Note Edited: 0082613 View Revisions
2015-12-10 12:55 psanjuan Note Edited: 0082637 View Revisions
2015-12-10 15:02 psanjuan Note Edited: 0082637 View Revisions
2015-12-10 16:51 AtulOpenbravo Note Edited: 0082613 View Revisions
2015-12-16 14:06 psanjuan Note Edited: 0082637 View Revisions
2015-12-16 14:06 psanjuan Note Added: 0082804
2015-12-16 14:22 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:25 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:28 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:38 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:40 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:43 psanjuan Note Edited: 0082804 View Revisions
2015-12-16 14:52 psanjuan Note Edited: 0082804 View Revisions
2015-12-17 12:13 hgbot Checkin
2015-12-17 12:13 hgbot Note Added: 0082817
2015-12-17 12:13 hgbot Status scheduled => resolved
2015-12-17 12:13 hgbot Resolution open => fixed
2015-12-17 12:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/447428f58b158f817c1c8ea97678102527a4343e [^]
2015-12-17 12:14 vmromanos Review Assigned To => vmromanos
2015-12-17 12:14 vmromanos Note Added: 0082818
2015-12-17 12:14 vmromanos Status resolved => closed
2015-12-17 17:49 hudsonbot Checkin
2015-12-17 17:49 hudsonbot Note Added: 0082848


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker